Summary: openhpi Hardware Platform Interface (HPI) library and tools
Name: openhpi
Version: 2.4.1
Release: 5.1
License: BSD
Group: System Environment/Base
Source: http://prdownloads.sourceforge.net/openhpi/%{name}-%{version}.tar.gz
Source1: openhpi.conf
Patch1: openhpi-2.4.1-werror.patch
Patch2: openhpi-2.4.1-gcc41.patch
Patch3: openhpi-2.4.1-memset.patch
Patch4: openhpi-2.4.1-install.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: libsysfs-devel, net-snmp-devel, OpenIPMI-devel, glib2-devel
BuildRequires: elfutils-devel, rpm-devel, libtool-ltdl-devel, bzip2-devel
BuildRequires: OpenIPMI-devel, ncurses-devel, pkgconfig
ExcludeArch: ia64

%description
OpenHPI is an open source project created with the intent of providing an
implementation of the SA Forum's Hardware Platform Interface (HPI). HPI
provides an abstracted interface to managing computer hardware, typically for
chassis and rack based servers. HPI includes resource modeling; access to and
control over sensor, control, watchdog, and inventory data associated with
resources; abstracted System Event Log interfaces; hardware events and alerts;
and a managed hotswap interface.

OpenHPI provides a modular mechanism for adding new hardware and device support
easily. Many plugins exist in the OpenHPI source tree to provide access to
various types of hardware. This includes, but is not limited to, IPMI based
servers, Blade Center, and machines which export data via sysfs.

%package devel
Group: Development/Libraries
Summary: The development environment for the openhpi project.
Requires: %{name} = %{version}

%description devel
The openhpi-devel package contains the development libraries and header files
of the openhpi project.

%prep
%setup -q
%patch1 -p1 -b .werror
%patch2 -p1 -b .gcc41
%patch3 -p1 -b .memset
%patch4 -p1 -b .install

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-dummy --disable-sysfs
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openhpi
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m1777 $RPM_BUILD_ROOT%{_var}/lib/openhpi
make install DESTDIR=$RPM_BUILD_ROOT
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/openhpi

rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/openhpi/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/openhpi/standard/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libopenhpi.*
pushd $RPM_BUILD_ROOT/%{_libdir}/
ln -sf openhpi/standard/* .
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/openhpi
%config %{_sysconfdir}/openhpi/openhpi.conf
%config %{_sysconfdir}/rc.d/init.d/openhpid
%attr(1777,root,root) %{_var}/lib/openhpi
%{_libdir}/*.so.*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/openhpi
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/openhpi
%{_libdir}/pkgconfig/*


%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-5.1
- rebuild


* Mon Jul 10 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-5
- Had to disable sysfs support due to new libsysfs and incompatible API.
- Added missing ncurses-devel buildrequires

* Wed Jun 07 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-4
- Rebuilt with final memset patch
- Added missing pkgconfig buildprereq (#191935)

* Fri May 26 2006 Radek Vokal <rvokal@redhat.com> - 2.4.1-2
- rebuilt for new libnetsnmp and net-snmp-config changes

* Wed May 24 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-1
- Fixed buggy use of memset throughout the code
- Made the package build and install properly

* Fri May 19 2006 Phil Knirsch <pknirsch@redhat.com>
- Added missing glib2-devel build prereq (#191935)
- Update to latest stable version openhpi-2.4.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.2.1-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.2.1-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan  9 2006 Peter Jones <pjones@redhat.com> 2.2.1-4
- Don't use -Werror, it doesn't build with that on ppc64 currently.

* Mon Jan 06 2006 Jesse Keating <jkeating@redhat.com> 2.2.1-3
- Fix to not use stict-aliasing.

* Wed Jan 04 2006 Radek Vokal <rvokal@redhat.com> 2.2.1-2
- Rebuilt against new libnetsnmp

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Phil Knirsch <pknirsch@redhat.com> 2.2.1-1
- Update to stable openhpi-2.2.1

* Wed Nov 09 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-5
- Rebuilt to link against latest openssl lib.

* Mon Nov 07 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-4
- Added the openhpi config file
- Added missing /var/lib/openhpi dir with proper rights
- Added a few missing BuildPreReqs

* Thu Nov 03 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-3
- Rebuild against new net-snmp libs

* Wed Mar 30 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-1
- Moved the pkgconfig files to the devel package (#152507)
- Update to openhpi-2.0.3
- Had to manually disable ipmi support for now until openhpi builds correctly
  against it again
- Dropped net-snmp-config patch, not needed anymore

* Thu Mar 17 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-5
- Fixed gcc4 rebuild problems

* Wed Mar 02 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-4
- bump release and rebuild with gcc 4

* Mon Feb 14 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-3
- Rebuilt for new rpm-4.4

* Mon Dec 20 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.2-2
- Fixed overflow in plugins/sysfs/sysfs2hpi.c
- Fixed rebuild problem with latest net-snmp
- Removed is_simulator patch, not needed anymore

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com> 1.9.2-1
- update to 1.9.2

* Tue Nov 02 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.1-1
- Added proper BuildRequires
- Drop ia64 for first build, something fishy with the compiler and warning.

* Tue Oct 26 2004 Phil Knirsch <pknirsch@redhat.com>
- Initial version
- Disable dummy plugin, doesn't compile
- Fix missing () in snmp_bc_session.c
